<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/qmui_topbar_height"
        android:background="@color/theme_background_color">

        <FrameLayout
            android:id="@+id/fl_section_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <com.scwang.smartrefresh.layout.SmartRefreshLayout
                android:id="@+id/refreshLayout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                app:srlEnableLoadMore="false"
                app:srlEnableRefresh="false">

                <com.qmuiteam.qmui.widget.section.QMUIStickySectionLayout
                    android:id="@+id/section_table"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </com.scwang.smartrefresh.layout.SmartRefreshLayout>
        </FrameLayout>

        <com.qmuiteam.qmui.widget.QMUIEmptyView
            android:id="@+id/emptyView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fitsSystemWindows="true" />

        <TextView
            android:id="@+id/tv_add_table"
            android:layout_width="@dimen/dp_65"
            android:layout_height="@dimen/dp_65"
            android:layout_alignParentBottom="true"
            android:layout_alignParentRight="true"
            android:gravity="center"
            android:layout_marginBottom="@dimen/dp_15"
            android:layout_marginRight="@dimen/dp_20"
            android:background="@drawable/manage_shape_add_btn_oval"
            android:text="區域"
            android:textSize="@dimen/sp_16"
            android:textColor="@color/theme_white_color">

<!--            <ImageView-->
<!--                android:layout_width="wrap_content"-->
<!--                android:layout_height="wrap_content"-->
<!--                android:layout_gravity="center"-->
<!--                android:src="@drawable/add_white" />-->
        </TextView>

        <LinearLayout
            android:id="@+id/ll_bottom_operat"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_45"
            android:orientation="horizontal"
            android:layout_alignParentBottom="true"
            android:gravity="center_vertical"
            android:paddingLeft="@dimen/dp_15"
            android:paddingRight="@dimen/dp_15"
            android:visibility="gone"
            android:background="@color/theme_white_color">

            <CheckBox
                android:id="@+id/cb_all_select"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:text="全選"
                android:textColor="@color/theme_black"
                android:textSize="@dimen/sp_14" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/btn_modify_serviceCharge"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_38"
                android:layout_gravity="right|center_vertical"
                android:background="@color/theme_red_color"
                android:text="批量修改服務費"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/sp_14"
                android:layout_marginRight="@dimen/dp_10"
                android:paddingRight="@dimen/dp_8"
                android:paddingLeft="@dimen/dp_8"
                app:qmui_backgroundColor="@color/theme_color"
                app:qmui_radius="@dimen/dp_5" />

            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
                android:id="@+id/btn_delete"
                android:layout_width="@dimen/dp_60"
                android:layout_height="@dimen/dp_38"
                android:layout_gravity="right|center_vertical"
                android:background="@color/theme_red_color"
                android:text="刪除"
                android:textColor="@color/theme_white_color"
                android:textSize="@dimen/sp_14"
                app:qmui_backgroundColor="@color/theme_color"
                app:qmui_radius="@dimen/dp_5" />
        </LinearLayout>
    </RelativeLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="?attr/qmui_topbar_height"
        app:qmui_topbar_title_color="@color/theme_white_color" />

</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>

